!!MP Inlines.f

C	An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example call illustrates the use of the Unsigned Long 
C	Integer Data, Data Type J. Testing for this example was done
C	with Language Systems FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN DATAJ.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m DATAJ -sn Main=DATAJ ¶
-sn f_RunTime=DATAJ ¶
-sn f_Intrinsics=DATAJ ¶
	DATAJ.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o DATAJ.rsc
!!ENDC

C	Source code

	integer*4 function DATAJ(%val(a))
	
	integer*4 a
	
		DATAJ =  a * 2
	
	return
	end
	
		
	